Opened 5 years ago

Closed 5 years ago

#4253 closed bug (fixed)

stage1 compiler uses packages out of the user database

Reported by: elliottt Owned by:
Priority: normal Milestone: 7.0.1
Component: Build System Version: 6.12.3
Keywords: Cc:
Operating System: Linux Architecture: x86_64 (amd64)
Type of failure: Building GHC failed Test Case:
Blocked By: Blocking:
Related Tickets: Differential Revisions:

Description

When building 6.12.3 with a version of 6.12.3 that has packages registered in the user package database, the stage1 compiler started preferring versions of packages that were registered in the user package database.

Steps to reproduce:

  1. install 6.12.3 binary distribution
  2. install mtl-1.1.0.2 in the user package database
  3. build 6.12.3 from source, using the version from step 1
  4. the build should fail when it gets to haskeline

Change History (1)

comment:1 Changed 5 years ago by igloo

  • Milestone set to 7.0.1
  • Resolution set to fixed
  • Status changed from new to closed

Fixed by:

Thu Sep  2 23:47:26 BST 2010  Ian Lynagh <[email protected]>
  * Add some -no-user-package-conf flags
Note: See TracTickets for help on using tickets.